This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1290930 - Introspection file is installed in the wrong directory
Introspection file is installed in the wrong directory
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: mutter (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Florian Müllner
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-11 17:59 EST by Remco
Modified: 2015-12-16 08:45 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-16 08:45:45 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Remco 2015-12-11 17:59:59 EST
I was experimenting with Mutter, and I'd like to write a plugin in Python. Usually, it's easy to load introspected libs with "from gi.repository import x", but in Mutter's case, I first had to change the GI_TYPELIB_PATH variable to "/usr/lib64/mutter". I think it would be easier for people to find it if the introspection file were installed in the default directory.
Comment 1 Florian Müllner 2015-12-16 08:45:45 EST
It would also make it easier for people who are not writing their own window manager to stumble upon mutter and try unsuccessfully to use it in their applications :-)
libmutter is a very specialized component without any API guarantees, so using package-private directories seems appropriate in this case.

Note You need to log in before you can comment on or make changes to this bug.